Subject: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: jfbu <[email-masked]>
Date: Thu, 12 Jan 2017 21:48:35 +0100

Le 12/01/2017 à 21:43, jfbu a écrit :
> (some problem we discussed here months ago, which I have forgotten
> now)

the problem was about use in .dtx file which will never have empty
line in the implementation section due to % prefix.

in my dtx, the documentation section has no % prefix (it has I
think in most other people's dtx's) but nevertheless it may happen
that the dtx is very long and this caused problem from inside the
code section (you can not allow empty lines in code sections
because this create \par tokens that may not be important in LaTeX
context if located in preamble, but may be annoying in TeX
contexts where one can \input style file anywhere), hence I had to
set texmathp-search-n-paragraphs to 0.

I would not need it to be 0 in .tex files.

Best,

Jean-François